package main

import (
	log "github.com/donnie4w/go-logger/logger"
	elastic_v7 "qfw/util/elastic_v7"
)

func init() {
	IsLocal = true
	initClass()
}

func main() {
	//拆分合并产品与企业表
	//splitMergeMedicalInfo("nmpa_ylqx_2022")
	//splitMergeMedicalInfo("nmpa_ylqx_2023")

	//临时处理

	//exportDealerBaseInfo()
	//exportDealerRegisterInfo()
	//exportProductBaseInfo()
	//exportLegalBaseInfo()

	//确认分类
	confirmYlqxInfoClass()

	//临时邮件
	//testInvestInfo()

	lock := make(chan bool)
	<-lock
}

func test() {
	elastic_v7.InitElasticSize("http://127.0.0.1:13002", 10, "es_all", "TopJkO2E_d1x")
	query := `{"query":{"filtered":{"filter":{"bool":{"must":[{"term":{"buyer":"成都东部新区管理委员会"}}]}}}},"_source":["_id","area","buyer"],"from":"0","size":"10"}`
	es_data := *elastic_v7.Get("bidding", "bidding", query)
	log.Debug("当前查询结果：", len(es_data))
}
